<?php

session_start();
$usuario=$_SESSION['rut'];
include '../../conexion/conn.php';

$cliente_cod = $_REQUEST['cliente_cod'];
$exportador_cod = $_REQUEST['exportador_cod'];
$packing_cod = $_REQUEST['packing_cod'];
$especie_cod = $_REQUEST['especie_cod'];
$fecha_inspeccion = $_REQUEST['fecha_inspeccion'];
$usuario_rut = $_REQUEST['usuario_rut'];
$norma_id = $_REQUEST['norma_id'];
$turno = $_REQUEST['turno'];



$rs = mysql_query("SELECT usuario_folio_inicio, usuario_folio_final FROM usuario where usuario_rut='$usuario'");   
if($row = mysql_fetch_array($rs)){
	$usuario_folio_inicial=$row['usuario_folio_inicio'];
	$usuario_folio_final=$row['usuario_folio_final'];
}

$rs = mysql_query("SELECT MAX(folio_planilla) as cont FROM planilla_pallet where usu_crea='$usuario'");
    
if($row = mysql_fetch_array($rs)){
	$folio_planilla=$row['cont']+1;
	if($folio_planilla<$usuario_folio_inicial){
		$folio_planilla=$usuario_folio_inicial;
		$sql =  ("INSERT INTO planilla_pallet (folio_planilla, cliente_cod, exportador_cod, packing_cod, especie_cod, usuario_rut, fecha_inspeccion, norma_id, turno, usu_crea, fecha_crea, estado, sincro) values('$folio_planilla', '$cliente_cod', '$exportador_cod', '$packing_cod', '$especie_cod', '$usuario_rut', '$fecha_inspeccion', '$norma_id', UPPER('$turno'), '$usuario', now(), 'ABIERTA', 'N')");
		$result = @mysql_query($sql);
		$usuario_folio_saldo=$usuario_folio_final-$folio_planilla;
		$sql2 = "UPDATE usuario SET  
		usuario_folio_saldo='$usuario_folio_saldo'
		WHERE usuario_rut='$usuario'";
		$result2 = @mysql_query($sql2);
		
		mysql_close();
		if ($result2){
			echo "Datos Grabados";
		} else {
			echo "Se Han Producido Errores";
		}
	}else if($folio_planilla>$usuario_folio_final){
		echo "Ha Llegado al limite de creación de Planillas".$usuario;
	}else if($folio_planilla>=$usuario_folio_inicial && $folio_planilla<=$usuario_folio_final){
		$sql =  ("INSERT INTO planilla_pallet (folio_planilla, cliente_cod, exportador_cod, packing_cod, especie_cod, usuario_rut, fecha_inspeccion, norma_id, turno, usu_crea, fecha_crea, estado, sincro) values('$folio_planilla', '$cliente_cod', '$exportador_cod', '$packing_cod', '$especie_cod', '$usuario_rut', '$fecha_inspeccion', '$norma_id', UPPER('$turno'), '$usuario', now(), 'ABIERTA', 'N')");
		$result = @mysql_query($sql);
		$usuario_folio_saldo=($usuario_folio_final-$folio_planilla);
		$sql2 = "UPDATE usuario SET  
		usuario_folio_saldo='$usuario_folio_saldo'
		WHERE usuario_rut='$usuario'";
		$result2 = @mysql_query($sql2);
		mysql_close();
		if ($result){
			echo "Datos Grabados";
		} else {
			echo "Se Han Producido Errores2".$usuario_folio_saldo." ".$usuario_folio_final." ".$usuario_folio_final." ".$folio_planilla;
		}
	}
}
?>